Bug 523051 - Python version mismatch, expected '2.6', found '2.6.2'.
Summary: Python version mismatch, expected '2.6', found '2.6.2'.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_python
Version: 13
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-13 17:50 UTC by Jan Kratochvil
Modified: 2011-07-07 07:48 UTC (History)
7 users (show)

Fixed In Version: mod_python-3.3.1-14.fc14.x86_64
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:23:00 UTC


Attachments (Terms of Use)

Description Jan Kratochvil 2009-09-13 17:50:54 UTC
Description of problem:
Seen such a message but I have seen no problem from it.

Version-Release number of selected component (if applicable):
mod_python-3.3.1-11.x86_64
python-2.6.2-2.fc12.x86_64
httpd-2.2.13-2.fc12.x86_64

How reproducible:
Always.

Steps to Reproduce:
service httpd restart
tail /var/log/httpd/error_log

Actual results:
[error] python_init: Python version mismatch, expected '2.6', found '2.6.2'.
[error] python_init: Python executable found '/usr/bin/python'.
[error] python_init: Python path being used '/usr/lib64/python26.zip:/usr/lib64/python2.6/:/usr/lib64/python2.6/plat-linux2:/usr/lib64/python2.6/lib-tk:/usr/lib64/python2.6/lib-old:/usr/lib64/python2.6/lib-dynload'.
[notice] mod_python: Creating 4 session mutexes based on 256 max processes and 0 max threads.
[notice] mod_python: using mutex_directory /tmp 
[notice] Apache/2.2.13 (Unix) PHP/5.3.0 mod_python/3.3.1 Python/2.6.2 mod_perl/2.0.4 Perl/v5.10.0 configured -- resuming normal operations 

Expected results:
No such "version mismatch" line.

Additional info:
viewvc works fine, I see no problems from it.

Comment 1 Bug Zapper 2009-11-16 12:20:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Daniel Qarras 2010-01-31 14:54:54 UTC
I'm seeing this, too, with Fedora 12 + updates as of 2010-01-31.

Comment 3 Mohammad Mateen 2010-03-22 14:37:03 UTC
I am also facing this problem after yum live upgrading Federa 11 to Fedora 12 today. Any solution for it ?

Comment 4 Adrian 2010-05-11 03:14:03 UTC
This has also been reported as a mod_python bug which is probably where it belongs:

https://issues.apache.org/jira/browse/MODPYTHON-205

Comment 5 mattias hellstrom 2010-06-02 11:08:58 UTC
I had this on Fedora 13 but it disappeared when I replaced mod_python with one that I compiled my self from the sourcerpm.

yumdownloader --source mod_python
rpmbuild --rebuild mod_python-3.3.1-11.src.rpm
rpm -e mod_python
rpm -Uvh mod_python-3.3.1-11.src.rpm

Comment 6 Joe Orton 2010-06-02 11:24:35 UTC
This is a harmless warning.

Comment 7 Bug Zapper 2010-11-04 10:03:30 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Jan Kratochvil 2010-11-04 16:40:18 UTC
[Thu Nov 04 06:39:31 2010] [error] python_init: Python version mismatch, expected '2.6', found '2.6.4'.

httpd-2.2.16-1.fc13.x86_64
python-2.6.4-27.fc13.x86_64
mod_python-3.3.1-11.x86_64

Comment 9 Bug Zapper 2011-06-02 17:45:15 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2011-06-27 14:23:00 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.